Specs (Gradle API 2.10)
Date: 2015-12-21

Package: org.gradle.api.specs

## [Java] Class Specs

- org.gradle.api.specs.Specs

- Provides a number of Spec implementations.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static Spec<Object>` | `SATISFIES_ALL` |
    `static Spec<Object>` | `SATISFIES_NONE` |

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `static AndSpec<T>` | `and(Spec<? super T>... specs)`
    `static AndSpec<T>` | `and(Collection<? extends Spec<? super T>> specs)`
    `static Spec<T>` | `convertClosureToSpec(groovy.lang.Closure closure)`
    `static NotSpec<T>` | `not(Spec<? super T> spec)`
    `static OrSpec<T>` | `or(Spec<? super T>... specs)`
    `static OrSpec<T>` | `or(Collection<? extends Spec<? super T>> specs)`
    `static Spec<T>` | `or(boolean defaultWhenNoSpecs, List<? extends Spec<? super T>> specs)`
    `static Spec<T>` | `satisfyAll()`
    `static Spec<T>` | `satisfyNone()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### public static final Spec<Object> SATISFIES_ALL

    - #### public static final Spec<Object> SATISFIES_NONE

  - ### Method Detail

    - #### public static AndSpec<T> and(Spec<? super T>... specs)

    - #### public static AndSpec<T> and(Collection<? extends Spec<? super T>> specs)

    - #### public static Spec<T> convertClosureToSpec(groovy.lang.Closure closure)

    - #### public static NotSpec<T> not(Spec<? super T> spec)

    - #### public static OrSpec<T> or(Spec<? super T>... specs)

    - #### public static OrSpec<T> or(Collection<? extends Spec<? super T>> specs)

    - #### public static Spec<T> or(boolean defaultWhenNoSpecs, List<? extends Spec<? super T>> specs)

    - #### public static Spec<T> satisfyAll()

    - #### public static Spec<T> satisfyNone()